# Dokumentordner aktualisieren

`PUT https://{tenant}.stamp.eu/rest/document-folders/{folder}`

## Pfadparameter

| Name | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `folder` | string | ja | The folder ID |

## Request-Body

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `name` | string | nein |
| `visible_to_employee` | boolean | nein |

## Antworten

### 200: `DocumentFolderResource`

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | object | ja |
| `data.id` | string | ja |
| `data.employee_id` | string | ja |
| `data.name` | string | ja |
| `data.system_key` | string | ja |
| `data.is_default` | string | ja |
| `data.visible_to_employee` | string | ja |
| `data.sort_order` | string | ja |
| `data.document_count` | integer | nein |
| `data.created_at` | string | ja |
| `data.updated_at` | string | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 404: Not found

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
